﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirplaneWithRadar
{
    internal class EntityAirplaneWithRadar : EntityAirplane
    {
        /// <summary>
        /// Дополнительный цвет
        /// </summary>
        public Color DopColor { get; private set; }
        /// <summary>
        /// Признак наличия радара
        /// </summary>
        public bool Radar { get; private set; }
        /// <summary>
        /// Признак наличия дополнительного топливного бака
        /// </summary>
        public bool FuelTanks { get; private set; }
        /// <summary>
        /// Инициализация свойств
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес самолёта</param>
        /// <param name="bodyColor">Цвет кузова</param>
        /// <param name="dopColor">Дополнительный цвет</param>
        /// <param name="radar">Признак наличия радара</param>
        /// <param name="fuelTanks">Признак наличия дополнительных топливных баков</param>
        public EntityAirplaneWithRadar(int speed, float weight, Color bodyColor, Color
       dopColor, bool radar,  bool fuelTanks) :
        base(speed, weight, bodyColor)
        {
            DopColor = dopColor;
            Radar = radar;
            FuelTanks = fuelTanks;
        }
    }
}
